/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * RandomNumberDistribution_ParametersQtQuery.cpp
 *
 *  Created on: Jan 06, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <Qt/qboxlayout.h>
#include <Qt/qpushbutton.h>
#include <Qt/qtextedit.h>
#include <Qt/qlabel.h>

#include "CodePatterns/MemDebug.hpp"

#include "UIElements/Qt4/Query/QtQuery.hpp"

#include "Atom/atom.hpp"
#include "World.hpp"

QtDialog::RandomNumberDistribution_ParametersQtQuery::RandomNumberDistribution_ParametersQtQuery(Parameter<RandomNumberDistribution_Parameters> &_param, std::string _title,QBoxLayout *_parent,Dialog *_dialog) :
    QtQuery<RandomNumberDistribution_Parameters>(_param, _title),
    parent(_parent),
    dialog(_dialog)
{
  thisLayout = new QHBoxLayout();
  titleLabel = new QLabel(QString(getTitle().c_str()));

//  inputBox->insertItem(-1, QString("no distribution"));
//  for (std::vector<distribution *>::const_iterator iter = distribution(); iter != distribution.end(); ++iter)
//    inputBox->insertItem((*iter)->getNr(),QString::fromStdString((*iter)->getName()));

  inputBox = new QTextEdit();

  parent->addLayout(thisLayout);
  thisLayout->addWidget(titleLabel);
  thisLayout->addWidget(inputBox);

  okButton = new QPushButton(tr("Ok"));

  connect(okButton,SIGNAL(clicked()),this,SLOT(onUpdate()));
}

QtDialog::RandomNumberDistribution_ParametersQtQuery::~RandomNumberDistribution_ParametersQtQuery()
{
}

void QtDialog::RandomNumberDistribution_ParametersQtQuery::onUpdate() {
  QString data = inputBox->toPlainText();
  std::stringstream text(data.toStdString());
  // TODO: check error
  //text >> temp;
  dialog->update();
}


